#!/bin/sh

if [ -f /tmp/qmi_cid ]; then
 cid_4=$(cat /tmp/qmi_cid)
fi

if [ -f /tmp/qmi_pdh ]; then
 pdh_4=$(cat /tmp/qmi_pdh)
fi

[ -n "$cid_4" ] && {
	[ -n "$pdh_4" ] && {
		# Temporary using magic number 0xffffffff instead of pdh because uqmi is returning "Invalid handle" error
		#uqmi -s -d "/dev/cdc-wdm0" --set-client-id wds,"$cid_4" --stop-network "$pdh_4"
		uqmi -s -d "/dev/cdc-wdm0" --set-client-id wds,"$cid_4" --stop-network 0xffffffff --autoconnect
		uqmi -s -d "/dev/cdc-wdm0" --set-client-id wds,"$cid_4" --release-client-id wds
		# Set connection wan connection state to 2 if data limit exceeded or 0 otherwise 
		/psft/bin/sharedStatModify --wan set=$1
	}
}

