#!/bin/sh
#
# Password encryption / decryption script
#
# Uses openssl to encrypt and decrypt string values
# with salt and a predefined password
#
#
# description: password encryption / decryption script

CRYPT_PASS="password"
CRYPT_PROT="-aes-256-cbc"
CRYPT_ENC_OPT="-a -salt -pass"
CRYPT_DEC_OPT="-d"

# See how we were called.
case "$1" in
  enc)
    echo "$2" | openssl enc $CRYPT_PROT $CRYPT_ENC_OPT pass:$CRYPT_PASS
    ;;
  dec)
    echo "$2" | openssl enc $CRYPT_PROT $CRYPT_DEC_OPT $CRYPT_ENC_OPT pass:$CRYPT_PASS
    ;;
  *)
    return
esac

return
