#!/bin/sh

# Sierra firmware validation. 
# Radio chipset string ID "9X15" is written in spk binary header at specific addresses


RADIO_ID="39583135" #Qualcomm Gobi 9x15 chipset string ID
SPK_RADIO_ID0=`hexdump -v -s 0x110 -n 4 -e '4/1 "%02X"' $1`
SPK_RADIO_ID1=`hexdump -v -s 0x2A0 -n 4 -e '4/1 "%02X"' $1`
SPK_RADIO_ID2=`hexdump -v -s 0x430 -n 4 -e '4/1 "%02X"' $1`

if [ "$RADIO_ID" = "$SPK_RADIO_ID0" ] && [ "$RADIO_ID" = "$SPK_RADIO_ID1" ] && [ "$RADIO_ID" = "$SPK_RADIO_ID2" ]
  then
    printf "valid"
  else
    printf "invalid"
fi
