<?php
header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

require_once('../inc/systemfunction.php');
require_once('../inc/json_services.php');    

class ConnectionManager
{
    function setCloudConnection()
    {
        $state = trim($_GET['connection_status']);
                $json = new Services_JSON();
        $error = ''; 
        //if the cloud it is connected then disconnect and viceversa
        try
        {
            ConfigWrite('agent/cloudmanaged', $state);
            ConfigToFlash();
        }
        catch(Exception $e)
        {
            $error = $e->getMessage();
        }

        $response = array(); 
        $response['InitialState'] = $state;
        $response['ErrorMessage'] = $error;
        $encoded = $json->encode($response);    
            
        // encode array $json to JSON string
        $encoded = str_replace('[','',$encoded);
        $encoded = str_replace(']','',$encoded);  

        return $encoded;
    }
}

// send response back to java and end script execution
die( (new ConnectionManager()) -> setCloudConnection() );  
?>
