<?php
    session_start();
    require_once('config.inc.php');
    require_once('common_file.php');
    require_once('systemfunction.php');

    function CheckUserLogin($username, $password) {
        $md5passstr = md5(trim($password));
        $ConfigUname = ConfigRead("web/uname");
        $ConfigPass  = ConfigRead("web/pass");
        
        if ((trim($username) == trim($ConfigUname[0])) && ($md5passstr == trim($ConfigPass[0]))) {
            $_SESSION['username'] = $username;
            $_SESSION['level'] = 1;
            $_SESSION['loggedtime'] = time();
            $_SESSION['csrf'] = bin2hex(random_bytes(32));

            return true;
        }

        return false;
    }

    function CheckUserSession() {
        if (isset($_SESSION['loggedtime']) && isset($_SESSION['username'])) {
            if (time() - $_SESSION['loggedtime'] > 600) {
                session_unset();
                session_destroy();

                return false;
            } else {
                return true;
            }
        }

        return false;
    }
    
    function CheckCSRFToken($method, $csrf) {
    	// Validate CSRF token for POST requests
    	if (($method != 'POST') ||
    		(isset($csrf) && isset($_SESSION['csrf']) && ($csrf === $_SESSION['csrf']))) {
    		return true;
    	}
    	
    	return false;
    }
    
    function CheckPasswordReq($password) {
    	$CtgCnt = 0;
    	
    	if (preg_match("#[0-9]+#", $password)) {
    		$CtgCnt++;
    	}
    	if (preg_match("#[a-z]+#", $password)) {
    		$CtgCnt++;
    	}
    	if (preg_match("#[A-Z]+#", $password)) {
    		$CtgCnt++;
    	}
    	if (preg_match("#\W+#", $password)) {
    		$CtgCnt++;
    	}
    	if ($CtgCnt < 3) {
    		return false;
    	}
    	
    	return true;
    }

?>
