<?php
    session_start();
    require_once('../inc/userfunction.php');
    require_once('../inc/systemfunction.php');

    // Check the login session
    if (CheckUserSession() == false) {
        header("Location: /components/session_expired.php");
        exit;
    }

    $method = $_SERVER['REQUEST_METHOD'];
    $csrf = $_POST['csrf'];

    // Check the CSRF token
    if (CheckCSRFToken($method, $csrf) == false) {
    	error_log("Warning! Possible CSRF detected.", 0);
    	exit;
    }

    $action=$_REQUEST['action'];

    /* clear logs */
    if ($action == 1 ) {
        exec("/psft/bin/smsHandler delete_all");
    }
?>
<html>
    <head>
        <meta http-equiv="Cache-Control" content="no-cache, must-revalidate">
        <meta http-equiv="Pragma" content="no-cache">
        <meta http-equiv="Expires" content="0">
        <link rel="stylesheet" href="/css/styles.css" type="text/css" />
            <script src="/scripts/jquery.min.js" type="text/JavaScript"></script>  
            <script src="/scripts/angular.min.js" type="text/JavaScript"></script> 
            <script src="/scripts/bootstrap.min.js" type="text/JavaScript"></script> 
            <script src="/js/application.js" type="text/JavaScript"></script> 
            <script src="/js/main.js" type="text/JavaScript"></script>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    </head>
    <body leftmargin="0" topmargin="0" rightmargin="0" ng-app="LightDocs" bottommargin="0" marginwidth="0" onload='parent.resizeIframe(document.body.scrollHeight)'>
        <?php /* <!-- Start Body --> */ ?>
        <table width=100% height="550" cellpadding="0" cellspacing="0" ng-controller="CloudCtrl" data-ng-init="loadPageData()" ng-cloak>
            <tr height=13 >
                <td width=14 ><img src="/images/leftopangle.jpg" /></td>
                <td background="/images/bgtop.jpg" ></td>
                <td width=14 ><img src="/images/rightopangle.jpg" /></td>
            </tr>
            <tr>
                <td background="/images/bgleft.jpg" >&nbsp;</td>
                <td align="center" valign="top">
                <?php /* <!--Start content here --> */ ?>
                <table width="98%" border="0" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF">
                    <tr>
                        <td width="100%" bgcolor="#FFFFFF">
                            <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                <tr>
                                    <td width="75%"></td>
                                </tr>
                            </table>
                            <?php /* <!-- Body starts here --> */ ?>
                            <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                <tr>
                                    <td valign="top" class="subhead">
                                      <form action="administrator_sms.php?action=1" method="POST" name="systemsms"  id="systemsms" >
                                      <input type="hidden" name="csrf" value="<?php echo $_SESSION['csrf']; ?>" />
                                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                            <tr>
                                                <td>
                                                    <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                                        <tr>
                                                            <td>
                                                                <table width="100%" height="30" border="0" cellpadding="0" cellspacing="0">
                                                                    <tr class="tablehead">
                                                                        <td colspan="3">SMS</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td height="4" colspan="3" align="left" bgcolor="#4d92a8"></td>
                                                                    </tr>
                                                                    <tr class="sorttable">
                                                                        <td>
                                                                            <table style="width:100%">
                                                                                <tr> 
                                                                                    <td bgcolor="#FFFFFF">
                                                                                        <input type="button" class="copy" name="btn_smsrefresh" id="btn_smsrefresh" value="Refresh" onClick="AdmSmsRefreshSmsFile();"/> &nbsp;
                                                                                        <input type="button" class="copy" name="btn_smsclear" id="btn_smsclear" value="Clear SMS" onClick="AdmSmsClearSmsList();"/>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td colspan="3" bgcolor="#FFFFFF">&nbsp;</td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td valign="top" align="left" bgcolor="#FFFFFF">
                                                                                        <div style="width:100%; height:100%;"> 
                                                                                        <?php
                                                                                          $output = htmlspecialchars(shell_exec('/psft/bin/smsHandler read'), ENT_QUOTES, 'UTF-8');
                                                                                          echo "<pre>$output</pre>";
                                                                                        ?>
                                                                                        </div>
                                                                                    </td>
                                                                                </tr>  
                                                                            </table>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td colspan="3" height="30">&nbsp;</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                      </form>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                <?php /* <!--End content here --> */ ?>
            </td>
            <td background="/images/bgright.jpg">&nbsp;</td>
            </tr>
            <tr height=16>
                <td ><img src="/images/leftbtmangle.jpg" /></td>
                <td background="/images/bgbtm.jpg"></td>
                <td ><img src="/images/rightbtmangle.jpg" /></td>
            </tr>
        </table>
        <?php /* <!--End body -->*/ ?>
        <script>
            window.parent.document.getElementById("leftlink_administrator_system").className = "leftNavLink";
            window.parent.document.getElementById("leftlink_administrator_access").className = "leftNavLink";
            window.parent.document.getElementById("leftlink_administrator_logs").className = "leftNavLink";
            window.parent.document.getElementById("leftlink_administrator_sms").className = "leftNavLinkActive";
            window.parent.document.getElementById("leftlink_administrator_ping").className = "leftNavLink";
        </script>
    </body>
</html>
