<?php
    session_start();
    require_once('../inc/userfunction.php');
    require_once('../inc/systemfunction.php');

    // Check the login session
    if (CheckUserSession() == false) {
        header("Location: /components/session_expired.php");
        exit;
    }
    
    if (isset($_GET['delayedreboot'])) {
    	RebootModule();
    	exit(0);
    }
?>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="refresh" content="<?php
            if (trim($_GET['action']) == "FW" ) {echo "420";} else if( trim($_GET['action']) == "FW_radio" ) {echo "520";} else {echo "60";}
                ?>">
        <link rel="stylesheet" type="text/css" media="screen" href="../css/styles.css" />
        <script src="/scripts/angular.min.js" type="text/JavaScript"></script>
        <script src="/scripts/jquery.min.js" type="text/JavaScript"></script>
        <script src="/js/application.js" type="text/JavaScript"></script>
        <script src="/js/main.js" type="text/JavaScript"></script>
        <?php /* <!-- initialize --> */ ?>
    </head>
    <body leftmargin="0" topmargin="0" rightmargin="0" bottommargin="0" marginwidth="0" >
        <?php /* <!-- Start Body --> */ ?>
        <table width=100% height="580" cellpadding="0" cellspacing="0" >
            <tr height=13 >
                <td width=14 >
                    <img src="/images/leftopangle.jpg" />
                </td>
                <td background="/images/bgtop.jpg" ></td>
                <td width=14 >
                    <img src="/images/rightopangle.jpg" />
                </td>
            </tr>
            <tr>
                <td background="/images/bgleft.jpg" >&nbsp;</td>
                <td align="center" valign="top">
                    <?php /* <!--Start content here --> */ ?>
                    <table width="98%" border="0" cellspacing="0" cellpadding="0" bgcolor="#002569">
                        <tr>
                            <td width="100%" bgcolor="#FFFFFF">
                                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                    <tr>
                                        <td width="75%"></td>
                                    </tr>
                                </table>
                                <?php /* <!-- Body starts here --> */ ?>
                                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                    <tr>
                                        <td valign="top" class="subhead">
                                            <?php
                                                if (trim($_GET['action']) == "FW") {
                                                    echo 'Firmware uploaded.<br>';
                                                    echo 'The ICX35 will update to the new firmware and then it will reboot. Please do not unplug your device. <br>';
                                                    echo 'Page will refresh in <span id="sec_til_reboot" class="timer">420</span> sec.<br>';
                                                    echo 'Note: If page does not refresh automatically, please press Refresh key.';
                                                } else if (trim($_GET['action']) == "reboot") {
                                                    echo 'Device is rebooting.  Page will refresh in <span id="sec_til_reboot" class="timer">60</span> sec.<br>';
                                                    echo 'Note: If page does not refresh automatically, please press Refresh key.';
                                                } else if (trim($_GET['action']) == "FW_radio") {
                                                    echo 'Radio firmware uploaded.<br>';
                                                    echo 'Cellular module will update to the new firmware and then the system will reboot.<br>';
                                                    echo 'Page will refresh in <span id="sec_til_reboot" class="timer">520</span> sec.<br>';
                                                    echo 'Note: If page does not refresh automatically, please press Refresh key.';
                                                } else {
                                                    echo 'Configuration Saved.  Device is rebooting.  Page will refresh in <span id="sec_til_reboot" class="timer">60</span> sec.<br>';
                                                    echo 'Note: If page does not refresh automatically, please press Refresh key.';
                                                }
                                            ?>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                    <?php /* <!--End content here --> */ ?>
                </td>
                <td background="/images/bgright.jpg">&nbsp;</td>
            </tr>
            <tr height=16>
                <td >
                    <img src="/images/leftbtmangle.jpg" />
                </td>
                <td background="/images/bgbtm.jpg"></td>
                <td >
                    <img src="/images/rightbtmangle.jpg" />
                </td>
            </tr>
        </table>
        <?php /* <!--End body -->*/ ?>
        <script>
            <?php /* //Set the top menu style */ ?>
            function decrement_text(text_id) {
                if (--document.getElementById(text_id).innerHTML == 0) {
                    clearInterval(countdownTimer);
                }
            }

            var countdownTimer = setInterval('decrement_text("sec_til_reboot")', 1000);
            /* Reboot after the page is loaded */
            $(document).ready(function () {
                $.get("/components/rebooting.php?delayedreboot");
            });
        </script>
    </body>
</html>
