<?php
header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

require_once('../inc/systemfunction.php');  
require_once('../inc/json_services.php');  

class ConnectionMAnager { 
    public $encoded = ''; 
    
    function getConnectionStatus() { 
        //variable initialisation  
        $error = '';      
        $status = 'false';

        try
        {
            $status = ConfigRead('agent/cloudmanaged');  
        }
        catch(Exception $e)
        {
            $error = $e->getMessage();
            $status = 'false';
        }

        $json = new Services_JSON(); 
        $response = array(); 
        $response['IsConnected'] = $status;
        $response['ErrorMessage'] = $error;
        $encoded = $json->encode($response);    
            
        // encode array $json to JSON string
        $encoded = str_replace('[','',$encoded);
        $encoded = str_replace(']','',$encoded);  

        return $encoded;
    } 
}

// send response back to java and end script execution
die( (new ConnectionMAnager()) -> getConnectionStatus() );  

?>