<?php
function readover($filename,$method="rb"){
	if($handle=@fopen($filename,$method)){
		flock($handle,LOCK_SH);
		$filedata=fread($handle,filesize($filename));
		fclose($handle);
	}
	return $filedata;
}
function writeover($filename,$data,$method="rb+",$iflock=1){
	touch($filename);
	$handle=fopen($filename,$method);
	if($iflock){
		flock($handle,LOCK_EX);
	}
	fputs($handle,$data);
	if($method=="rb+") ftruncate($handle,strlen($data));
	fclose($handle);
}
function openfile($filename){
	$filedata=readover($filename);
	$filedata=str_replace("\n","\n<:qqwm:>",$filedata);
	$filedb=explode("<:qqwm:>",$filedata);
	$count=count($filedb);
	if($filedb[$count-1]==''||$filedb[$count-1]=="\r"){unset($filedb[$count-1]);}
	$filedb[0]="";
	return $filedb;
}

function copydir($dirFrom,$dirTo)  
{      
    
	if(is_file($dirTo))
	{          
		echo("can not create the dir".$dirTo);      
	}      
	//if the dir do not exist than create     
	if(!file_exists($dirTo))
	{          
		mkdir($dirTo);      
	}            
	$handle = opendir($dirFrom);
	if ($handle) 
		{     
			while (false!==($file = readdir($handle))) 
			{      
				if (!is_dir($getDir.'/'.$file))
				{ 
					$fileFrom = $dirFrom.$file;
					$fileTo = $dirTo.$file; 
					//echo $fileFrom."</br>";
					//echo $fileTo."</br>";
					if(is_dir($fileFrom)){ 
						//if dir then Recursive               
						//copyDir($fileFrom,$fileTo);          
					} 
					else 
					{ 
						//if file then copy             
						copy($fileFrom,$fileTo);        
					} 
				}
			}
		}
}


class CtbClass {
      var $file;      
      var $index;
      //create one file
      function null_write($new) 
      { 
            $f=fopen($this->file,"w");      
            flock($f,LOCK_EX); 
            fputs($f,$new);      
            fclose($f);   
      } 
      // ݼ¼ļĩ 
      function add_write($new) {       
            $f=fopen($this->file,"a");      
            flock($f,LOCK_EX); 
            fputs($f,$new);       
            fclose($f);   
      }   
      // readfile()ķһʹ,һתΪһά 
      function make_array($line) { 
            $array = explode("x0E",$line); 
            return $array; 
      } 
       
      //Ϊһάתһ 
      function join_array($line) { 
            $array = join("x0E",$line); 
            return $array; 
      } 
      // ļ 
      function getlines() { 
            $f=file($this->file);      
            return count($f);      
      } 
      // һеݼ¼() 
      function next_line() { 
            $this->index=$this->index++;      
            return $this->get();      
      }

      // һеݼ¼() 
      function prev_line() { 
            $this->index=$this->index--;      
            return $this->get();      
      }    
      // صǰеݼ¼ݽС 
      function get() { 
            $f=fopen($this->file,"r");      
            flock($f,LOCK_SH); 
            for($i=0;$i<=$this->index;$i++) { 
                  $rec=fgets($f,1024);      
            } 
            $line=explode("x0E",$rec); 
            fclose($f); 
            return $line;      
      }    
      // صǰеݼ¼ݽϴ 
      function get_big_file() { 
            $f=fopen($this->file,"r");      
            flock($f,LOCK_SH); 
            for($i=0;$i<=$this->index;$i++) { 
                  $rec=fgets($f,1024*5);      
            } 
            $line=explode("x0E",$rec); 
            fclose($f); 
            return $line;      
      }    
      // ļ---һά鷵ļ 
      function read_file() { 
            if (file_exists($this->file)) { 
                  $line =file($this->file); 
            } 
            return $line; 
      } 
      // ļ---Զά鷵ļ 
      function openFile() { 
            if (file_exists($this->file)) { 
                  $f =file($this->file); 
                  $lines = array(); 
                  foreach ($f as $rawline) { 
                        $tmpline = explode("x0E",$rawline); 
                        array_push($lines, $tmpline); 
                  } 
            } 
            return $lines; 
      } 
      // һ,ϲһ,дļ 
      function overwrite($array){ 
            $newline = implode("x0E",$array);        
            $f = fopen($this->file,"w"); 
            flock($f,LOCK_EX); 
            fputs($f,$newline); 
            fclose($f); 
      } 
   
      // һݼ¼ļĩ 
      function add_line($array,$check_n=1) {    
            $s=implode("x0E",$array);      
            $f=fopen($this->file,"a");      
            flock($f,LOCK_EX); 
            fputs($f,$s);      
            if ($check_n==1) fputs($f,"n");      
            fclose($f);   
      }     

      // һݼ¼ļǰ 
      function insert_line($array) { 
            $newfile = implode("x0E",$array); 
            $f = fopen($this->file,"r"); 
            flock($f,LOCK_SH); 
            while ($line = fgets($f,1024)) { 
                  $newfile .= $line; 
            } 
            fclose($f); 
            $f = fopen($this->file,"w"); 
            flock($f,LOCK_EX); 
            fputs($f,$newfile); 
            fclose($f); 
      }

      // зݼ¼,ÿֽݽϴ 
      function update($column,$query_string,$update_array) { 
            $update_string = implode("x0E",$update_array);     
            $newfile = "";        
            $fc=file($this->file); 
            $f=fopen($this->file,"r"); 
            flock($f,LOCK_SH); 
            for ($i=0;$i<count($fc);$i++) { 
                  $list = explode("x0E",$fc[$i]); 
                  if ($list[$column] != $query_string) { 
                        $newfile = $newfile.chop($fc[$i])."n"; 
                  } else { 
                        $newfile = $newfile.$update_string; 
                  } 
            } 
            fclose($f); 
            $f=fopen($this->file,"w"); 
            flock($f,LOCK_EX); 
            fputs($f,$newfile); 
            fclose($f); 
      }

      // зݼ¼,ÿֽݽС 
      function update2($column,$query_string,$update_array) { 
            $newline = implode("x0E",$update_array);     
            $newfile = ""; 
            $f = fopen($this->file,"r"); 
            flock($f,LOCK_SH); 
            while ($line = fgets($f,1024)) { 
                  $tmpLine = explode("x0E",$line); 
                  if ($tmpLine[$column] == $query_string) { 
                        $newfile .= $newline; 
                  } else { 
                        $newfile .= $line; 
                  } 
            } 
            fclose($f); 
            $f = fopen($this->file,"w"); 
            flock($f,LOCK_EX); 
            fputs($f,$newfile); 
            fclose($f); 
      }

      // ɾзݼ¼,ÿֽݽϴ 
      function delete($column,$query_string) { 
            $newfile = "";        
            $fc=file($this->file); 
            $f=fopen($this->file,"r"); 
            flock($f,LOCK_SH); 
            for ($i=0;$i<count($fc);$i++) { 
                  $list = explode("x0E",$fc[$i]); 
                  if ($list[$column] != $query_string) { 
                        $newfile = $newfile.chop($fc[$i])."n"; 
                  } 
            } 
            fclose($f); 
            $f=fopen($this->file,"w"); 
            flock($f,LOCK_EX); 
            fputs($f,$newfile); 
            fclose($f); 
      }     

      // ɾзݼ¼,ÿֽݽС 
      function delete2($column,$query_string){    
            $newfile = ""; 
            $f = fopen($this->file,"r"); 
            flock($f,LOCK_SH); 
            while ($line = fgets($f,1024)) { 
                  $tmpLine = explode("x0E",$line); 
                  if ($tmpLine[$column] != $query_string) { 
                        $newfile .= $line; 
                  } 
            } 
            fclose($f); 
            $f = fopen($this->file,"w"); 
            flock($f,LOCK_EX); 
            fputs($f,$newfile); 
            fclose($f); 
      }

    //ȡһļĳֶεֵ 
      function get_max_value($column) { 
            $tlines = file($this->file); 
            for ($i=0;$i<=count($tlines);$i++) { 
                  $line=explode("x0E",$tlines[$i]); 
                  $get_value[]=$line[$column]; 
            } 
        $get_max_value = max($get_value); 
            return $get_max_value; 
      }


      // ļĳֶǷ$query_stringвѯ,      //Զά鷵з 
      function select($column, $query_string) { 
            $tline = $this->openfile(); 
            $lines = array(); 
            foreach ($tline as $line) { 
                  if ($line[$column] == $query_string) { 
                        array_push($lines, $line); 
                  } 
            }

            return $lines; 
      }

      // function select()һ,ٶȿ 
      function select2($column, $query_string) { 
            if (file_exists($this->file)) { 
                  $tline = $this->read_file(); 
                  foreach ($tline as $tmpLine) { 
                        $line = $this->make_array($tmpLine); 
                        if ($line[$column] == $query_string) { 
                              $lines[]=$tmpLine; 
                        } 
                  } 
            }

            return $lines; 
      }

      // ļĳֶǷ$query_stringвѯ,      //һά鷵صһ 
      function select_line($column, $query_string) { 
            $tline = $this->read_file(); 
            foreach ($tline as $tmpLine) { 
                  $line = $this->make_array($tmpLine); 
                  if ($line[$column] == $query_string) { 
                    return $line; 
                        break; 
                  } 
            } 
      } 
      // select next/prev line(next_prev ==> 1/next, 2/prev) by cx 
      function select_next_prev_line($column, $query_string, $next_prev) { 
            $tline = $this->read_file(); 
            $line_key_end = count($tline) - 1; 
            $line_key = -1; 
            foreach ($tline as $tmpLine) { 
                  $line_key++; 
                  $line = $this->make_array($tmpLine); 
                  if ($next_prev == 1) { // next? 
                        if ($line[$column] == $query_string) { 
                              if ($line_key == 0) { 
                                    return 0; 
                              } else { 
                                    $line_key_up = $line_key - 1; 
                                    return $up_line; 
                              } 
                        } else { 
                              $up_line = $line; 
                        } 
                  } elseif ($next_prev == 2) { // prev? 
                        if ($line[$column] == $query_string) { 
                              if ($line_key == $line_key_end) { 
                                    return 0; 
                              } else { 
                                    $line_key_down = $line_key + 1; 
                                    break; 
                              } 
                        } 
                  } else { 
                        return 0; 
                  } 
            } 
            $down_line = $this->make_array($tline[$line_key_down]); 
            return $down_line; 
       }
}

?>