#!/bin/sh
#
# systemfunction.sh
# Wrapper for system command that are dependent to shared libraries
#

export LD_LIBRARY_PATH=/lib:/usr/lib:/psft/lib:/opt/lib
export XTABLES_LIBDIR=/lib/xtables

# ICX35 system command wrapper functions
source /psft/scripts/icx35-syscom.sh

case "$1" in
	loadfirewall)
		icx35LoadFirewall
	;;
	getlannetwork)
		icx35GetLanNetwork lanNetwork
		echo $lanNetwork
	;;
	getlanbroadcast)
		icx35GetLanBroadcast lanBroadcast
		echo $lanBroadcast
	;;
esac
